Operation CategoriesCategory (fields; grants and approvers for admins)

Category (fields; grants and approvers for admins)

For a member: the category definition and its fields (for the filter form and report builder); grants and approvers are stripped out. For an admin: the full configuration.

The category key and field key/type are IMMUTABLE after creation: values, versions, and reports reference them

curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/operation-categories/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "id": "cmr3f41z20001psp7phmyapw3",
  "vaultId": "example_string",
  "key": "example_string",
  "name": "John Doe",
  "description": "example_string",
  "emoji": "example_string",
  "color": "example_string",
  "appliesTo": "transfer",
  "viewScope": "owner_only",
  "assignScope": "owner_only",
  "editScope": "owner_only",
  "approvalScope": "none",
  "approvalThreshold": 42,
  "allowInitiatorApproval": true,
  "isSystem": true,
  "archived": true,
  "version": 42,
  "createdById": "example_string",
  "updatedById": "example_string",
  "createdAt": "2026-07-02T11:25:15.134000Z",
  "updatedAt": "2026-07-02T11:25:15.134000Z",
  "fields": [
    {
      "id": "cmr3f41z20001psp7phmyapw3",
      "categoryId": "example_string",
      "key": "example_string",
      "label": "example_string",
      "type": "text",
      "required": true,
      "optionsJson": [
        {
          "value": "example_string",
          "label": "example_string"
        }
      ],
      "scale": 42,
      "currencyFieldKey": "example_string",
      "unit": "example_string",
      "defaultJson": "null",
      "helpText": "example_string",
      "sensitive": true,
      "orderIndex": 42,
      "archived": true,
      "createdAt": "2026-07-02T11:25:15.134000Z",
      "updatedAt": "2026-07-02T11:25:15.134000Z"
    }
  ],
  "grants": [
    {
      "id": "cmr3f41z20001psp7phmyapw3",
      "vaultId": "example_string",
      "categoryId": "example_string",
      "subjectType": "user",
      "subjectUserId": "example_string",
      "subjectGroupId": "example_string",
      "canView": true,
      "canAssign": true,
      "canEdit": true,
      "grantorId": "example_string",
      "status": "example_string",
      "createdAt": "2026-07-02T11:25:15.134000Z"
    }
  ],
  "approvers": [
    {
      "id": "cmr3f41z20001psp7phmyapw3",
      "categoryId": "example_string",
      "kind": "user",
      "userId": "example_string",
      "groupId": "example_string",
      "createdAt": "2026-07-02T11:25:15.134000Z"
    }
  ]
}
GET
/api/v1/vaults/{code}/operation-categories/{id}
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

codestring
Required

Unique Vault code (slug)

Example:
demo_vault

Responses

idstring
Required

cuid

vaultIdstring
Required
keystring
Required
namestring
Required
descriptionstring
Required
emojistring
Required
colorstring
Required
appliesTostring
Required
Allowed values:transferdepositboth
viewScopestring
Required
Allowed values:owner_onlyvault_membersrestricted
assignScopestring
Required
Allowed values:owner_onlyvault_membersrestricted
editScopestring
Required
Allowed values:owner_onlyvault_membersrestricted
approvalScopestring
Required
Allowed values:noneeditassign_and_edit
approvalThresholdstring
Required
allowInitiatorApprovalboolean
Required
isSystemboolean
Required
archivedboolean
Required
versioninteger
Required
createdByIdstring
Required
updatedByIdstring
Required
createdAtstring
Required
updatedAtstring
Required
fieldsarray
grantsarray
approversarray